import { Y as o, a4 as p, P as u, bI as y, cW as m, cX as c, Z as n, c2 as S, c3 as b, a3 as V, N as v, fl as C, az as h, a6 as i, G as d, a7 as a, a8 as l, af as r, F as e, bJ as w, a9 as f } from "./603b75d9.js";
import { useContext as s } from "react";
import { SelectInputValidationChildren as g, SelectInputValidationSection as P } from "./00d44232.js";
import { formDataChildren as x, FormDataPropertyView as F } from "./f9847c56.js";
import "react-dom";
const R = [{
  label: o("radio.horizontal"),
  value: "horizontal"
}, {
  label: o("radio.vertical"),
  value: "vertical"
}, {
  label: o("radio.autoColumns"),
  value: "auto_columns"
}], D = {
  defaultValue: p("value"),
  value: p("value"),
  label: u,
  disabled: y,
  onEvent: m,
  options: c,
  style: n(S, "style"),
  labelStyle: n(b, "labelStyle"),
  layout: V(R, "horizontal"),
  viewRef: v,
  inputFieldStyle: n(C, "inputFieldStyle"),
  animationStyle: n(h, "animationStyle"),
  ...g,
  ...x
}, L = (t) => /* @__PURE__ */ i(d, {
  children: [/* @__PURE__ */ i(a, {
    name: l.basic,
    children: [t.options.propertyView({}), t.defaultValue.propertyView({
      label: o("prop.defaultValue")
    })]
  }), ["logic", "both"].includes(s(r).editorModeStatus) && /* @__PURE__ */ i(d, {
    children: [/* @__PURE__ */ e(P, {
      ...t
    }), /* @__PURE__ */ e(F, {
      ...t
    }), /* @__PURE__ */ i(a, {
      name: l.interaction,
      children: [t.onEvent.getPropertyView(), w(t), f(t)]
    })]
  }), ["layout", "both"].includes(s(r).editorModeStatus) && /* @__PURE__ */ e(a, {
    name: l.layout,
    children: t.layout.propertyView({
      label: o("radio.options"),
      tooltip: /* @__PURE__ */ i("div", {
        style: {
          display: "flex",
          flexDirection: "column",
          gap: "8px"
        },
        children: [/* @__PURE__ */ e("div", {
          children: o("radio.horizontalTooltip")
        }), /* @__PURE__ */ e("div", {
          children: o("radio.verticalTooltip")
        }), /* @__PURE__ */ e("div", {
          children: o("radio.autoColumnsTooltip")
        })]
      })
    })
  }), ["layout", "both"].includes(s(r).editorModeStatus) && t.label.getPropertyView(), ["layout", "both"].includes(s(r).editorModeStatus) && /* @__PURE__ */ i(d, {
    children: [/* @__PURE__ */ e(a, {
      name: l.style,
      children: t.style.getPropertyView()
    }), /* @__PURE__ */ e(a, {
      name: l.labelStyle,
      children: t.labelStyle.getPropertyView()
    }), /* @__PURE__ */ e(a, {
      name: l.inputFieldStyle,
      children: t.inputFieldStyle.getPropertyView()
    }), /* @__PURE__ */ e(a, {
      name: l.animationStyle,
      hasTooltip: !0,
      children: t.animationStyle.getPropertyView()
    })]
  })]
});
export {
  D as RadioChildrenMap,
  R as RadioLayoutOptions,
  L as RadioPropertyView
};
